Skip to main content
GET
/
v1
/
supply-chain
/
{symbol}
Supply chain map for a public company
curl --request GET \
  --url https://api.ivory.finance/v1/supply-chain/{symbol} \
  --header 'X-API-Key: <api-key>'
{
  "symbol": "<string>",
  "cik": "<string>",
  "data": [
    {
      "name": "<string>",
      "symbol": "<string>",
      "cik": "<string>",
      "customer": false,
      "supplier": false,
      "confidence": "medium",
      "sources": [],
      "revenue_pct": "<string>",
      "product": "<string>",
      "criticality": "<string>",
      "manifest_shipments_12m": 123,
      "manifest_last_seen": "<string>",
      "twoWeekCorrelation": 123,
      "oneMonthCorrelation": 123,
      "threeMonthCorrelation": 123,
      "sixMonthCorrelation": 123,
      "oneYearCorrelation": 123,
      "twoYearCorrelation": 123
    }
  ],
  "sources_used": [
    "<string>"
  ],
  "generated_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.ivory.finance/llms.txt

Use this file to discover all available pages before exploring further.

Data Sources

SourceActive whenConfidence
sec_filingAlways. Extracted from 10-K disclosures: >10% revenue customers + critical suppliershigh
import_manifestIMPORTYETI_API_KEY env var is set. US Customs AMS ocean freight manifestsmediumhigh when cross-confirmed
price_correlationPartner has a resolvable ticker. 6-window rolling Pearson via yfinance, cached 24hr
Confidence levels
  • high — Confirmed by both SEC disclosure and manifest data, or >10% revenue customer in SEC filing
  • medium — Confirmed by one source only
  • low — Inferred / low-signal mention

Authorizations

X-API-Key
string
header
required

Path Parameters

symbol
string
required

Response

Successful Response

symbol
string
required
cik
string
required
data
SupplyChainPartner · object[]
required
sources_used
string[]
required
generated_at
string
required